package com.rmg.synergy.services;

import java.util.Set;
import java.util.HashSet;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.hibernate.Session;
import org.hibernate.SessionFactory;
import org.springframework.orm.hibernate3.SessionFactoryUtils;

import com.rmg.synergy.vo.Test;

public class TestService
{
	private SessionFactory sessionFactory;
	private static final Log log = LogFactory.getLog(TestService.class.getName());

	public void setSessionFactory(SessionFactory sessionFactory)
	{
		this.sessionFactory = sessionFactory;
	}

	public SessionFactory getSessionFactory()
	{
		return this.sessionFactory;
	}

	@SuppressWarnings("unchecked")
	public String sayHello()
	{
        log.info("Saying hello...");
		return "Hello Bob";
	}
    
    public Set<Test> getTestObjects()
    {
    	Session session = SessionFactoryUtils.getSession(sessionFactory, false);
        log.info("getTestObjects...");
    	HashSet<Test> objects = new HashSet<Test>(
    			session.createQuery("from Test").list());
    	SessionFactoryUtils.releaseSession(session, sessionFactory);
    	return objects;
    }
}
